# TableUpdate::set

(No version information available, might only be in Git)

TableUpdate::set — Add field to be updated

### Description

public mysql_xdevapi\TableUpdate::set ( string `$table_field` , string `$expression_or_literal` ) : mysql_xdevapi\TableUpdate

Updates the column value on records in a table.

### Parameters

`table_field`

  The column name to be updated.

`expression_or_literal`

  The value to be set on the specified column.

### Return Values

TableUpdate object.

### Examples

Example #1 mysql_xdevapi\TableUpdate::set() example

`<?php
$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");
$schema = $session->getSchema("addressbook");
$table = $schema->getTable("names");
$res = $table->update()
->set('level', 3)
->where('age > 15 and age < 22')
->limit(4)
->orderby(['age asc','name desc'])
->execute();
?>`